hostname spasa
password klfzebra3
enable password klfzebra3
log stdout
!
interface dummy0
!
interface enp1s0
 description Alcoma SilaSlany 
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
 ip ospf cost 10
!
interface vlan400
 description peer Colek
 ip ospf cost 40
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
!
interface vlan401
 description peer Chrzin
 ip ospf cost 40
 ip ospf priority 2
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
!
interface vlan101
 description peerChzinVIAChrzinFara
 ip ospf cost 5
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
!
interface vlan404
 description peer Chanov
 ip ospf cost 40
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
!
interface vlan100
 description peerChrzinFara
 ip ospf cost 5
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
!
interface vlan201
 description RacomCvrcovice 
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 slanpass
 ip ospf cost 200
 ip ospf priority 1
!
router ospf
 ospf router-id 10.102.228.50
!
! eth4 ~ Alcoma Uplink - SilaSlany
 network 10.102.228.48/29 area 0.0.0.0
! vlan400 / peer colek a ostatni vecicky
 network 10.102.229.0/29 area 0.0.0.224
 network 10.102.229.8/29 area 224
 network 10.102.229.16/28 area 224
 network 10.102.229.64/27 area 224
 network 10.102.229.96/27 area 224
 network 10.102.229.128/26 area 224
 network 10.102.229.192/26 area 224
! vlan401 / peer chrzin a ostatni vecicky
 network 10.102.183.0/29 area 0.0.0.224
 network 10.102.183.9/29 area 224
 network 10.102.183.16/28 area 224
 network 10.102.183.32/28 area 224
 network 10.102.183.64/27 area 224
!vlan 100 / PeerChrzinFara
 network 10.218.208.0/25 area 224
! vlan402 / 5nsektor SilaBucina
 network 10.102.183.128/24 area 0.0.0.224
! vlan403 / Peer Cernuc
 network 10.102.245.0/25 area 0.0.0.224
 network 10.218.20.128/25 area 0.0.0.224
! vlan404 / Peer Chanov
 network 10.102.228.0/29 area 0.0.0.224
 network 10.102.228.8/29 area 0.0.0.224
 network 10.102.228.16/29 area 0.0.0.224
 network 10.102.228.24/29 area 0.0.0.224
 network 10.102.228.32/29 area 0.0.0.224
 network 10.102.228.64/26 area 0.0.0.224
 network 10.102.228.224/27 area 0.0.0.224

! vlan201 / Peer Cvrcovice
 network 10.102.228.40/29 area 0.0.0.0
!
access-list net-10 deny 192.168.123.0/24
access-list net-10 permit 192.168.0.0/16
access-list net-10 permit 172.24.0.0/16
access-list net-10 permit 10.102.0.0/16
access-list net-10 permit 10.218.0.0/16
access-list term permit 127.0.0.1/32
access-list term deny any
!
route-map just-10 permit 10
 match ip address net-10
!
line vty
 access-class term
